package com.qianhe.zqcz.zsrw.service;

import com.qianhe.common.core.page.TableDataInfo;
import com.qianhe.zqcz.zsrw.domain.ZqczZsrw;
import com.qianhe.zqcz.zsrw.domain.ZqczZsrwQuery;
import com.qianhe.zqcz.zsrw.domain.ZqczZsrwVo;

import java.util.List;

public interface ZqczZsrwService {
    /**
     * 分页查询
     */
    List<ZqczZsrwVo> list(ZqczZsrwQuery zqczZsrwQuery);

    /**
     * 查询详情
     */
    ZqczZsrwVo info(Long zsrwid);

    /**
     * 新增
     */
    int add(ZqczZsrw zqczZsrw, String username);

    /**
     * 修改
     */
    int edit(ZqczZsrw zqczZsrw, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
